Bug 149673 - Dovecot fails with pam_access
Dovecot fails with pam_access
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-02-24 18:06 EST by Josh Smith
Modified: 2014-01-21 17:51 EST (History)
3 users (show)

See Also:
Fixed In Version: dovecot-0.99.14-6.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-22 17:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Smith 2005-02-24 18:06:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
If /etc/pam.d/dovecot contains

  account     required      /lib/security/$ISA/pam_access.so

then any attempt to connect to Dovecot generates errors in
/var/log/messages, like

  Feb 24 14:46:10 ilium dovecot(pam_unix)[5345]: check pass; user unknown
  Feb 24 14:46:10 ilium dovecot(pam_unix)[5345]: authentication
failure; logname= uid=0 euid=0 tty= ruser= rhost=
  Feb 24 14:46:10 ilium pam_access[5345]: couldn't get the tty name

If the pam_access line is removed, Dovecot works as expected. This is
very similar to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=146073 and
presumably has a similar cause.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add "account     required      /lib/security/$ISA/pam_access.so" to
2. Attempt to log in to Dovecot

Actual Results:  Login failure (e.g. Thunderbird says "Login to server
<server name> failed."), and errors in /var/log/messages.

Expected Results:  Login should succeed.

Additional info:

This is very similar to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=146073 and may
have a similar cause.
Comment 1 David Kewley 2005-02-24 19:04:09 EST
I confirmed that the string "PAM_TTY" doesn't exist in the latest 
FC3 dovecot srpm.  The fix for bug 146073 involved adding two lines 
that included this string. 
I've sent Timo Sirainen, the dovecot author, an email about this, 
but I see that he's cc'd on the bug already. :) 

Note You need to log in before you can comment on or make changes to this bug.